
Figure - Bug #115866
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】在不打开控制中心的情况下，使用遥控器关闭蓝牙，设备蓝牙被关闭，但是遥控
器上显示状态为“已激活”
2023-02-03 17:31 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-03

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Reproducibility: Every time Fixed Version: 2023-02-08

Test Type: ST Root cause: BluetoothTile注册了一个蓝牙状态变化的监听回调方法用于更新快捷设置的蓝牙状态，但是该监听只在通知栏下拉时生效，所以通知栏收起时，使用遥控器关闭蓝牙，遥控器获取到的蓝牙状态未刷新，仍然显示已激活��解决方案：��延长BluetoothTile的状态改变刷新的回调方法的生命周期

Description

【前提条件】

1、设备已开机

2、蓝牙已开启

【测试步骤】

1、设备连接遥控器

2、使用遥控器关闭蓝牙

【预期结果】

2、设备蓝牙被关闭，但是遥控器上显示状态为“未激活”

【实际结果】

2、设备蓝牙被关闭，但是遥控器上显示状态为“已激活”

再次在遥控器上点击蓝牙按钮，设备蓝牙状态仍保持未激活，遥控器上显示状态为“未激活”

History

#1 - 2023-02-07 10:56 - CD FW-程天颖

- Status changed from New to ASSIGNED

- % Done changed from 0 to 30

- Root cause set to BluetoothTile注册了一个蓝牙状态变化的监听回调方法用于更新快捷设置的蓝牙状态，但是该监听只在通知栏下拉时生效，所以通知栏

收起时，使用遥控器关闭蓝牙，遥控器获取到的蓝牙状态未刷新，仍然显示已激活

解决方案：

在BluetoothTile中添加一个广播接收器，用于监听和更新快捷设置的蓝牙状态

■ Current conclusion

代码已提交

■ My analysis

BluetoothTile注册了一个蓝牙状态变化的监听回调方法用于更新快捷设置的蓝牙状态，但是该监听只在通知栏下拉时生效，所以通知栏收起时，使用遥控

器关闭蓝牙，遥控器获取到的蓝牙状态未刷新，仍然显示已激活

解决方案：

在BluetoothTile中添加一个广播接收器，用于监听和更新快捷设置的蓝牙状态

■ Next action
入库代码

#2 - 2023-02-08 20:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179611 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Remote control`s BluetoothTile can`t show close, when notification is collapsedTC-RID: 1201-0206001IssueID:

TS-R-BUG-115866Change-Id: Id368155d14032eb155ec3d758aafc67348e3c587

#3 - 2023-02-08 20:23 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-08

- Root cause changed from BluetoothTile注册了一个蓝牙状态变化的监听回调方法用于更新快捷设置的蓝牙状态，但是该监听只在通知栏下拉时生效，所以

通知栏收起时，使用遥控器关闭蓝牙，遥控器获取到的蓝牙状态未刷新，仍然显示已激活

解决方案：

在BluetoothTile中添加一个广播接收器，用于监听和更新快捷设置的蓝牙状态 to BluetoothTile注册了一个蓝牙状态变化的监听回调方法用于更新快捷设置

的蓝牙状态，但是该监听只在通知栏下拉时生效，所以通知栏收起时，使用遥控器关闭蓝牙，遥控器获取到的蓝牙状态未刷新，仍然显示已激活

解决方案：

延长BluetoothTile的状态改变刷新的回调方法的生命周期

■ Current conclusion

代码已提交

■ My analysis

BluetoothTile注册了一个蓝牙状态变化的监听回调方法用于更新快捷设置的蓝牙状态，但是该监听只在通知栏下拉时生效，所以通知栏收起时，使用遥控

器关闭蓝牙，遥控器获取到的蓝牙状态未刷新，仍然显示已激活

解决方案：

延长BluetoothTile的状态改变刷新的回调方法的生命周期

■ Submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/179611

#4 - 2023-02-09 10:41 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

2.9

验证通过

#5 - 2023-02-09 10:42 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
